﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace GPD
{
    public partial class Submit : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (SessionHandler.IsLoggedIn == false)
                Response.Redirect("Login.aspx");
        }

        protected void btn_submit_Click(object sender, EventArgs e)
        {
            int gpdindx = 0;

            if(cb_carusage.Checked)
            {
                int km = int.Parse(tb_carusage.Text);

                if(km >= 10)
                {
                    float consumption = DatabaseHandler.getVehicleInfo(SessionHandler.Email).consumption;

                    if (consumption == 0)
                        consumption = 10;

                    if(cb_biofuel.Checked)
                    {
                        gpdindx += km * ((int)consumption / 20);
                    }
                    else
                    {

                        gpdindx += km * ((int)consumption / 10);
                    }
                    
                    gpdindx += 1;
                }
            }

            if(cb_electric.Checked)
            {
                int kwh = int.Parse(tb_electric.Text);

                if (kwh >= 6 && kwh <= 10)
                {
                    gpdindx += 10;
                }
                else if (kwh > 10)
                {
                    gpdindx += 20;
                }
            }

            if(cb_water.Checked)
            {
                int liters = int.Parse(tb_water.Text);

                if (liters >= 100)
                {
                    gpdindx += (liters / 10);
                    gpdindx += 1;
                }
            }

            if(cb_donation.Checked)
            {
                gpdindx -= 1;
            }

            gpdindx += recyclingpoints();

            DatabaseHandler.addPoints(gpdindx, SessionHandler.Email);
            Response.Redirect("Ranking.aspx");
        }

        private int recyclingpoints()
        {
            int points = 0;

            if (cb_rebio.Checked)
            {
                points -= 1;
            }
            
            if (cb_recardboard.Checked)
            {
                points -= 1;
            }
            
            if (cb_reglass.Checked)
            {
                points -= 1;
            }
            
            if (cb_rehazardous.Checked)
            {
                points -= 1;
            }
            
            if (cb_remetal.Checked)
            {
                points -= 1;
            }
            
            if (cb_repaper.Checked)
            {
                points -= 1;
            }
            
            if (cb_replastic.Checked)
            {
                points -= 1;
            }

            return points;
        }
    }
}
